﻿@{
    ViewData["Title"] = "PPDB Daftar Tunggu";
}
<section class="section">
    <div class="section-header">
        <h1>Daftar Tunggu</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">Ppdb</a></div>
            <div class="breadcrumb-item active"><a href="#">Daftar Tunggu</a></div>
        </div>
    </div>

    <div class="section-body" id="no-data">
        <div id="loading-data" style="text-align:center;">
            <div style="margin-top:150px;">
                <i class="fa fa-spinner fa-spin fa-4x"></i>
            </div>
        </div>
        <div id="empty-data" style="text-align:center;display:none;">
            <img src="~/assets/img/ilus-data.png" width="400px" class="img-fluid" />
            <div style="margin-top:-1px">
                Ups! Sepertinya tidak ada data, silahkan tambah baru <br /><br />
                @*<button type="button" class="btn btn-primary btn-flat" onclick="DataEditor();"><i class="fa fa-plus"></i> Tambah Baru</button>*@
            </div>
        </div>
    </div>
    <div class="section-body" id="data" style="display:none;">
        <div class="card" id="ListData">
            <div class="card-header form-row">
                <h4 class="col-md-6">List Data</h4>
                <div class="col-md-6 text-right">
                    <button type="button" class="btn btn-primary btn-flat" onclick="DataAktivasiVas();"><i class="fa fa-truck"></i> Proses Semua</button>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelData" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>No. Pendaftaran</th>
                                <th>Jenjang Pendidikan</th>
                                <th>Jenis Daftar</th>
                                <th>Jalur Daftar</th>
                                <th>Kategori Daftar</th>
                                <th>Kelas</th>
                                <th>Nama Calon Siswa</th>
                                <th>Tanggal Lahir</th>
                                <th>Nama Ibu</th>
                                <th>No HP Ortu</th>
                                <th>Tanggal Daftar</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>No. Pendaftaran</th>
                                <th>Jenjang Pendidikan</th>
                                <th>Jenis Daftar</th>
                                <th>Jalur Daftar</th>
                                <th>Kategori Daftar</th>
                                <th>Kelas</th>
                                <th>Nama Calon Siswa</th>
                                <th>Tanggal Lahir</th>
                                <th>Nama Ibu</th>
                                <th>No HP Ortu</th>
                                <th>Tanggal Daftar</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>

        <div class="col-md-8 card" id="EditorForm" style="display:none;margin:0px auto">
            <div class="card-header form-row">
                <h4 class="col-6">Editor Form</h4>
                <div class="col-6 text-right">
                    <button type="button" class="btn btn-success btn-flat" onclick="DataAktivasiVa();"><i class="fa fa-truck"></i> Proses</button>
                </div>
            </div>
            <div class="card-body">
                @* <form id="FormEditor" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Nomor Pendaftaran</label>
                        <div class="col-sm-8">
                            <input type="text" id="IdPpdbDaftar" name="IdPpdbDaftar" class="form-control" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Jenis Kategori</label>
                        <div class="col-sm-8">
                            <select class="form-control" name="IdJenisKategoriPendaftaran" data-input="wajib" disabled>
                                <option value="">Select One</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row" id="divIdUnit">
                        <label class="col-sm-4 col-form-label">Jenjang Pendidikan</label>
                        <div class="col-sm-8">
                            <select class="form-control" id="IdUnit" name="IdUnit" data-input="wajib" disabled>
                                <option value="">Select One</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row" id="divIdKelas">
                        <label class="col-sm-4 col-form-label">Kelas</label>
                        <div class="col-sm-8">
                            <select class="form-control" id="IdKelas" name="IdKelas" data-input="wajib" disabled>
                                <option value="">Select One</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row" id="divIdJenisPendaftaran">
                        <label class="col-sm-4 col-form-label">Jenis Daftar</label>
                        <div class="col-sm-8">
                            <select class="form-control" name="IdJenisPendaftaran" data-input="wajib" disabled>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row" id="divIdJalurPendaftaran">
                        <label class="col-sm-4 col-form-label">Jalur Daftar</label>
                        <div class="col-sm-8">
                            <select class="form-control" id="IdJalurPendaftaran" name="IdJalurPendaftaran" data-input="wajib" disabled>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Nisn</label>
                        <div class="col-sm-8">
                            <input id="NikSiswa" type="number" name="Nisn" class="form-control" placeholder="Ketik Nisn Calon Peserta Didik..." data-input="wajib" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">NIK Siswa</label>
                        <div class="col-sm-8">
                            <input id="NikSiswa" type="number" name="NikSiswa" class="form-control" placeholder="Ketik NIK Calon Peserta Didik..." data-input="wajib" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Nama Siswa</label>
                        <div class="col-sm-8">
                            <input id="Nama" type="text" name="Nama" class="form-control" placeholder="Ketik Nama Calon Peserta Didik..." data-input="wajib" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Nama Ibu</label>
                        <div class="col-sm-8">
                            <input id="NamaIbu" type="text" name="NamaIbu" class="form-control" placeholder="Ketik Nama Ibu..." data-input="wajib" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">No Handphone</label>
                        <div class="col-sm-8">
                            <input id="NoHandphoneOrtu" type="number" name="NoHandphoneOrtu" class="form-control" placeholder="Ketik No Handphone..." data-input="wajib" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Alamat E-Mail</label>
                        <div class="col-sm-8">
                            <input id="EmailOrtu" type="email" name="EmailOrtu" class="form-control" placeholder="Ketik Alamat E-Mail..." data-input="wajib" readonly />
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="form-row">
                            <div class="col-sm-12"><button type="button" onclick="Kembali();" class="btn btn-danger btn-block"><i class="fa fa-arrow-alt-circle-left"></i> Kembali</button></div>
                        </div>
                    </div>
                </form> *@
                @Html.Partial("./GetById")
                
            </div>
        </div>

    </div>
</section>